> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Recommendations

<Warning>
  This page does not apply to installs made in 2025 or later of the Depict Shopify apps
</Warning>


## OpenAPI

````yaml post /v3/recommend/products
openapi: 3.1.0
info:
  title: Depict API
  version: '1.0'
servers: []
security: []
paths:
  /v3/recommend/products:
    post:
      tags:
        - Recommendations (v3)
      summary: Recommendations
      operationId: Recommendations_v3_recommend_products_post
      parameters:
        - name: referer
          in: header
          required: false
          schema:
            type: string
            title: Referer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecommendRequestV3'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecommendResponseV3'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyQuery: []
        - APIKeyHeader: []
        - APIKeyCookie: []
components:
  schemas:
    RecommendRequestV3:
      properties:
        merchant:
          type: string
          title: Merchant
          description: Identifier associated with the API integration
        market:
          type: string
          title: Market
          description: Market identifier
        locale:
          type: string
          title: Locale
          description: Locale identifier
        type:
          type: string
          title: Type
          description: Type of the recommendation, e.g. `cross_sell`
        product_ids:
          items:
            type: string
          type: array
          title: Product Ids
          description: Zero, one, or multiple product identifiers (depending on the id)
          default: []
        limit:
          anyOf:
            - type: integer
              maximum: 128
              minimum: 1
            - type: 'null'
          title: Limit
          description: Maximum number of recommendations returned.
        session_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Id
          description: Session identifier
      additionalProperties: false
      type: object
      required:
        - merchant
        - market
        - locale
        - type
      title: RecommendRequestV3
    RecommendResponseV3:
      properties:
        displays:
          items:
            $ref: '#/components/schemas/APIDisplay'
          type: array
          title: Displays
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      additionalProperties: false
      type: object
      required:
        - displays
      title: RecommendResponseV3
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    APIDisplay:
      properties:
        variant_index:
          type: integer
          title: Variant Index
        variant_displays:
          items:
            type: object
          type: array
          title: Variant Displays
        variant_skus:
          items:
            type: string
          type: array
          title: Variant Skus
        variant_product_ids:
          items:
            type: string
          type: array
          title: Variant Product Ids
      type: object
      required:
        - variant_index
        - variant_displays
        - variant_skus
        - variant_product_ids
      title: APIDisplay
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: X-API-KEY

````